Subject: Re: [PATCH 2/4]: powerpc/cell spidernet low watermark patch.

From: [email-masked] (Linas Vepstas)
Date: Fri, 18 Aug 2006 18:45:32 -0500

On Fri, Aug 18, 2006 at 06:29:42PM -0500, linas wrote:
> 
> I don't understand what you are saying. If I call the transmit 
> queue cleanup code from the poll() routine, nothing hapens, 
> because the kernel does not call the poll() routine often 
> enough. I've stated this several times.  

OK, Arnd gave me a clue stick. I need to call the (misnamed)
netif_rx_schedule() from the tx interrupt in order to get 
this to work. That makes sense, and its easy, I'll send the 
revised patch.. well, not tonight, but shortly.

--linas